@echo off

rem Set force switch for NT.

set option=
if "%OS%" == "Windows_NT" set option=/f


rem Clean up INF files.

if exist %windir%\inf\other\schick*.inf      del %option% %windir%\inf\other\schick*.inf
if exist %windir%\inf\other\cam*.inf         del %option% %windir%\inf\other\cam*.inf
if exist %windir%\inf\oem*.?nf               del %option% %windir%\inf\oem*.?nf


rem Clean up Ext DLL.

if exist %windir%\system\camex*.*            del %option% %windir%\system\camex*.*


rem Clean up drivers.

if exist %windir%\system32\drivers\cam*.sys  del %option% %windir%\system32\drivers\cam*.sys


rem Clean up Twain drivers.

if exist %windir%\twain_32\camtw*.ds         del %option% %windir%\twain_32\camtw*.ds
if exist %windir%\system\fpxlib.dll          del %option% %windir%\system\fpxlib.dll
if exist %windir%\system\jpeglib.dll         del %option% %windir%\system\jpeglib.dll	
if exist %windir%\system32\VidSink.ax        del %option% %windir%\system32\VidSink.ax
if exist %windir%\media\click.wav            del %option% %windir%\media\click.wav


rem Remove device from Windows registry.

Y2K_RemoveDev -v 0FBC -p 8116
